Package: org.grails.cli.gradle

## [Groovy] Class GradleInvoker

- org.grails.cli.gradle.GradleInvoker

-     @groovy.transform.CompileStatic
      class GradleInvoker
      extends java.lang.Object

  Allow dynamic invocation of Gradle tasks

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private ExecutionContext` | `executionContext` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `ExecutionContext` | `executionContext`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GradleInvoker (ExecutionContext executionContext)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GradleAsyncInvoker` | `getAsync()`
    `` | `java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private ExecutionContext executionContext

  - ### Property Detail

    - #### ExecutionContext executionContext

  - ### Constructor Detail

    - #### GradleInvoker(ExecutionContext executionContext)

  - ### Method Detail

    - #### GradleAsyncInvoker getAsync()

    - #### @java.lang.Override java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)